edu.isi.pegasus.planner.cluster

## Class Horizontal.JobComparator

- java.lang.Object
- - edu.isi.pegasus.planner.cluster.Horizontal.JobComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  Horizontal

    private static class Horizontal.JobComparator
    extends java.lang.Object
    implements java.util.Comparator

A job comparator, that allows me to compare jobs according to the transformation names. It is applied to group jobs in a particular partition, according to the underlying transformation that is referred.

This comparator is not consistent with the Job.equals(Object) method. Hence, should not be used in sorted sets or Maps.

### Constructor Summary

Constructors
`private` `JobComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(java.lang.Object o1, java.lang.Object o2)` Compares this object with the specified object for order.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### JobComparator

    private JobComparator()

### Method Detail

#### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer if the first argument is less than, equal to, or greater than the specified object. The Job are compared by their transformation name. This implementation is not consistent with the Job.equals(Object) method. Hence, should not be used in sorted Sets or Maps.

Specified by:
  `compare` in interface `java.util.Comparator`
Parameters:
  `o1` - is the first object to be compared.
  `o2` - is the second object to be compared.
Returns:
  a negative number, zero, or a positive number, if the object compared against is less than, equals or greater than this object.
Throws:
  `java.lang.ClassCastException` - if the specified object's type prevents it from being compared to this Object.